Name:           libgpg-error
Version:        1.47
Release:        1
Summary:        Library for common error values and messages in GnuPG components.
License:        LGPLv2+
URL:            https://www.gnupg.org/related_software/libgpg-error/
Source0:        https://www.gnupg.org/ftp/gcrypt/libgpg-error/%{name}-%{version}.tar.gz
Source1:	https://www.gnupg.org/ftp/gcrypt/libgpg-error/%{name}-%{version}.tar.gz.sig

Patch0:         libgpg-error-1.29-multilib.patch

BuildRequires:  make
BuildRequires:  gcc gawk, gettext, autoconf, automake, gettext-devel, libtool,  texinfo, gettext-autopoint

%description
The libgpg-error package contains a library that originally defines common error values for all GnuPG components.
Among these are GPG, GPGSM, GPGME, GPG-Agent, libgcrypt, Libksba, DirMngr, Pinentry, SCdaemon.
Because Libgpg-error is a common dependency all GnuPG components, more features will be added to this library.

%package        devel
Summary:	Development files for libgpg-error
Requires:	%{name} = %{version}-%{release} pkgconfig

%description    devel
Contains header files and development libraries for libgpg-error.

%package_help

%prep
%autosetup -n %{name}-%{version} -p1

autoreconf -f

sed -i -e 's|^libdir=@libdir@$|libdir=@exec_prefix@/lib|g;s|@GPG_ERROR_CONFIG_HOST@|none|g' src/gpg-error-config.in
sed -i -e '/--variable=host/d' src/gpg-error-config-test.sh.in
sed -i -e 's|sys_lib_dlsearch_path_spec="/lib /usr/lib|sys_lib_dlsearch_path_spec="/lib /usr/lib %{_libdir}|g' configure

%build
%configure --disable-static --disable-rpath --disable-languages --enable-install-gpg-error-config
%make_build

%install
%make_install
%delete_la

%find_lang %{name}

%check
make check

%ldconfig_scriptlets

%files -f %{name}.lang
%defattr(-,root,root)
%license COPYING COPYING.LIB
%doc AUTHORS README NEWS ChangeLog
%{_bindir}/gpg-error
%{_libdir}/libgpg-error.so.0*
%{_datadir}/libgpg-error

%files devel
%defattr(-,root,root)
%{_bindir}/*
%{_libdir}/libgpg-error.so
%{_libdir}/pkgconfig/gpg-error.pc
%{_includedir}/gpg*.h
%{_datadir}/aclocal/gpg*.m4
%{_infodir}/gpgrt.info*
%exclude %{_bindir}/gpg-error
%exclude %{_infodir}/dir

%files help
%defattr(-,root,root)
%{_mandir}/*

%changelog
* Mon Jul 17 2023 zhangchenglin <zhangchenglin@kylinos.cn> - 1.47-1
- Type:requirement
- Id:NA
- SUG:NA
- DESC:update libgpg-error version to 1.47

* Thu Feb 02 2023 yanglu <yanglu72@h-partners.com> - 1.46-1
- Type:requirement
- Id:NA
- SUG:NA
- DESC:update libgpg-error version to 1.46

* Wed Oct 19 2022 yanglu <yanglu72@h-partners.com> - 1.43-2
- Type:bugfix
- Id:NA
- SUG:NA
- DESC:fix URL

* Mon Mar 21 2022 yanglu <yanglu72@h-partners.com> - 1.43-1
- Type:requirements
- Id:NA
- SUG:NA
- DESC:update libgpg-error to 1.43

* Thu Sep 30 2021 zhanzhimin <zhanzhimin@huawei.com> - 1.41-2
- Type:bugfix
- Id:NA
- SUG:NA
- DESC:fix libgpg-error-devel install-info warning

* Sat Jan 30 2021 xihaochen <xihaochen@huawei.com> - 1.41-1
- Type:requirements
- Id:NA
- SUG:NA
- DESC:update libgpg-error to 1.41

* Mon Jul 27 2020 yuboyun <yuboyun@huawei.com> - 1.38-1
- Type:bugfix
- Id:NA
- SUG:NA
- update to 1.38

* Wed Apr 15 2020 songnannan <songnannan2@huawei.com> - 1.37-1
- Type:bugfix
- Id:NA
- SUG:NA
- update to 1.37

* Tue Jan 14 2020 openEuler Buildteam <buildteam@openeuler.org> - 1.35-3
- Type:bugfix
- Id:NA
- SUG:NA
- DESC:fix gawk error

* Sat Jan 11 2020 openEuler Buildteam <buildteam@openeuler.org> - 1.35-2
- Type:bugfix
- Id:NA
- SUG:NA
- DESC:remove the gpg-error from devel package

* Fri Jan 10 2020 openEuler Buildteam <buildteam@openeuler.org> - 1.35-1
- Type:bugfix
- Id:NA
- SUG:NA
- DESC:updtae to 1.35

* Wed Dec 25 2019 openEuler Buildteam <buildteam@openeuler.org> - 1.31-4
- add Requires

* Mon Sep 30 2019 chenzhenyu <chenzhenyu13@huawei.com> - 1.31-3
- Package init
